<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>goal-scorer-card test</title>

    <script src="../node_modules/@webcomponents/webcomponentsjs/webcomponents-loader.js"></script>
    <script src="../node_modules/wct-browser-legacy/browser.js"></script>

    <script type="module" src="../goal-scorer-card.js"></script>
  </head>
  <body>

    <test-fixture id="BasicTestFixture">
      <template>
        <goal-scorer-card></goal-scorer-card>
      </template>
    </test-fixture>

    <test-fixture id="ChangedPropertyTestFixture">
      <template>
        <goal-scorer-card prop1="new-prop1"></goal-scorer-card>
      </template>
    </test-fixture>

    <script type="module">
      suite('goal-scorer-card', () => {

        test('instantiating the element with default properties works', () => {
          const element = fixture('BasicTestFixture');
          assert.equal(element.prop1, 'goal-scorer-card');
          const elementShadowRoot = element.shadowRoot;
          const elementHeader = elementShadowRoot.querySelector('h2');
          assert.equal(elementHeader.innerHTML, 'Hello goal-scorer-card!');
        });

        test('setting a property on the element works', () => {
          // Create a test fixture
          const element = fixture('ChangedPropertyTestFixture');
          assert.equal(element.prop1, 'new-prop1');
          const elementShadowRoot = element.shadowRoot;
          const elementHeader = elementShadowRoot.querySelector('h2');
          assert.equal(elementHeader.innerHTML, 'Hello new-prop1!');
        });

      });
    </script>

  </body>
</html>
